com.sun.jna.platform.win32

## Class WinBase.FILE_DISPOSITION_INFO

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinBase.FILE_DISPOSITION_INFO

Direct Known Subclasses:
  WinBase.FILE_DISPOSITION_INFO.ByReference

Enclosing interface:
  WinBase

    public static class WinBase.FILE_DISPOSITION_INFO
    extends Structure

Indicates whether a file should be deleted. Used for any handles. Use only when calling SetFileInformationByHandle.

### Nested Class Summary

Nested Classes
`static class` `WinBase.FILE_DISPOSITION_INFO.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.StructField`

### Field Summary

Fields
`boolean` `DeleteFile` Indicates whether the file should be deleted.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`FILE_DISPOSITION_INFO()`
`FILE_DISPOSITION_INFO(boolean DeleteFile)`
`FILE_DISPOSITION_INFO(Pointer memory)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected java.util.List<java.lang.String>` `getFieldOrder()` Return this Structure's field names in their proper order.
`static int` `sizeOf()`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DeleteFile

    public boolean DeleteFile

Indicates whether the file should be deleted. Set to TRUE to delete the file. This member has no effect if the handle was opened with FILE_FLAG_DELETE_ON_CLOSE.

### Constructor Detail

#### FILE_DISPOSITION_INFO

    public FILE_DISPOSITION_INFO()

#### FILE_DISPOSITION_INFO

    public FILE_DISPOSITION_INFO(Pointer memory)

#### FILE_DISPOSITION_INFO

    public FILE_DISPOSITION_INFO(boolean DeleteFile)

### Method Detail

#### sizeOf

    public static int sizeOf()

#### getFieldOrder

    protected java.util.List<java.lang.String> getFieldOrder()

Description copied from class: `Structure`
Return this Structure's field names in their proper order. For example,

     protected List getFieldOrder() {
         return Arrays.asList(new String[] { ... });
     }

IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

     protected List getFieldOrder() {
         List fields = new ArrayList(super.getFieldOrder());
         fields.addAll(Arrays.asList(new String[] { ... }));
         return fields;
     }

Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.

Specified by:
  `getFieldOrder` in class `Structure`
Returns:
  ordered list of field names

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.